### Method

# GObject TypeModule add_interface

#### Declaration

    void
    g_type_module_add_interface (
      GTypeModule* module,
      GType instance_type,
      GType interface_type,
      const GInterfaceInfo* interface_info
    )

#### Description

Registers an additional interface for a type, whose interface lives in the given type plugin. If the interface was already registered for the type in this plugin, nothing will be done.

As long as any instances of the type exist, the type plugin will not be unloaded.

Since 2.56 if `module` is `NULL` this will call `g_type_add_interface_static()` instead. This can be used when making a static build of the module.

#### Parameters

`instance_type`

  Type: `GType`

  Type to which to add the interface.

`interface_type`

  Type: `GType`

  Interface type to add.

`interface_info`

  Type: `GInterfaceInfo`

  Type information structure.

  The data is owned by the caller of the method.